Package org.h2gis.functions.io.dbf

# Class DBFEngine

java.lang.Object
org.h2gis.functions.io.file_table.FileEngine<DBFDriver>
org.h2gis.functions.io.dbf.DBFEngine

All Implemented Interfaces:
  `org.h2.api.TableEngine`

public class DBFEngine extends FileEngine<DBFDriver>
SHP Table factory.

Author:
  Nicolas Fortin

## Constructor Summary

Constructors
Constructor
Description
`DBFEngine()`

## Method Summary

Modifier and Type
Method
Description
`protected DBFDriver`
`createDriver(File filePath, List<String> args)`
Create the driver instance using the file name and additional arguments provided in SQL create table request.
`protected void`
`feedCreateTableData(DBFDriver driver, org.h2.command.ddl.CreateTableData data)`
Add columns definition of the file into the CreateTableData instance.
`static void`
`feedTableDataFromHeader(DbaseFileHeader header, org.h2.command.ddl.CreateTableData data)`
Parse the DBF file then init the provided data structure

### Methods inherited from class org.h2gis.functions.io.file_table.FileEngine

`createTable, getUniqueColumnName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DBFEngine

public DBFEngine()

## Method Details

### createDriver

protected DBFDriver createDriver(File filePath, List<String> args) throws IOException
Description copied from class: `FileEngine`
Create the driver instance using the file name and additional arguments provided in SQL create table request.

Specified by:
  `createDriver` in class `FileEngine<DBFDriver>`
Parameters:
  `filePath` - First argument, file name
  `args` - Additional argument, contains the file name as first argument
Returns:
  Instance of FileDriver
Throws:
  `IOException`

### feedCreateTableData

protected void feedCreateTableData(DBFDriver driver, org.h2.command.ddl.CreateTableData data) throws IOException
Description copied from class: `FileEngine`
Add columns definition of the file into the CreateTableData instance.

Specified by:
  `feedCreateTableData` in class `FileEngine<DBFDriver>`
Parameters:
  `driver` - driver object
  `data` - Data to initialise
Throws:
  `IOException`

### feedTableDataFromHeader

public static void feedTableDataFromHeader(DbaseFileHeader header, org.h2.command.ddl.CreateTableData data) throws IOException
Parse the DBF file then init the provided data structure

Parameters:
  `header` - dbf header
  `data` - Data to initialise
Throws:
  `IOException`